package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BNet;

/**
 * 网络Service接口
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public interface IBNetService 
{
    /**
     * 查询网络
     * 
     * @param id 网络主键
     * @return 网络
     */
    public BNet selectBNetById(Long id);

    /**
     * 查询网络列表
     * 
     * @param bNet 网络
     * @return 网络集合
     */
    public List<BNet> selectBNetList(BNet bNet);

    /**
     * 新增网络
     * 
     * @param bNet 网络
     * @return 结果
     */
    public int insertBNet(BNet bNet);

    /**
     * 修改网络
     * 
     * @param bNet 网络
     * @return 结果
     */
    public int updateBNet(BNet bNet);

    /**
     * 批量删除网络
     * 
     * @param ids 需要删除的网络主键集合
     * @return 结果
     */
    public int deleteBNetByIds(Long[] ids);

    /**
     * 删除网络信息
     * 
     * @param id 网络主键
     * @return 结果
     */
    public int deleteBNetById(Long id);
}
