package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.BShanghu;

/**
 * 商户Service接口
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
public interface IBShanghuService 
{
    /**
     * 查询商户
     * 
     * @param id 商户主键
     * @return 商户
     */
    public BShanghu selectBShanghuById(Long id);

    /**
     * 查询商户列表
     * 
     * @param bShanghu 商户
     * @return 商户集合
     */
    public List<BShanghu> selectBShanghuList(BShanghu bShanghu);

    /**
     * 新增商户
     * 
     * @param bShanghu 商户
     * @return 结果
     */
    public int insertBShanghu(BShanghu bShanghu);

    /**
     * 修改商户
     * 
     * @param bShanghu 商户
     * @return 结果
     */
    public int updateBShanghu(BShanghu bShanghu);

    /**
     * 批量删除商户
     * 
     * @param ids 需要删除的商户主键集合
     * @return 结果
     */
    public int deleteBShanghuByIds(Long[] ids);

    /**
     * 删除商户信息
     * 
     * @param id 商户主键
     * @return 结果
     */
    public int deleteBShanghuById(Long id);
}
