package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BNetMapper;
import com.ruoyi.system.domain.BNet;
import com.ruoyi.system.service.IBNetService;

/**
 * 网络Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class BNetServiceImpl implements IBNetService 
{
    @Autowired
    private BNetMapper bNetMapper;

    /**
     * 查询网络
     * 
     * @param id 网络主键
     * @return 网络
     */
    @Override
    public BNet selectBNetById(Long id)
    {
        return bNetMapper.selectBNetById(id);
    }

    /**
     * 查询网络列表
     * 
     * @param bNet 网络
     * @return 网络
     */
    @Override
    public List<BNet> selectBNetList(BNet bNet)
    {
        return bNetMapper.selectBNetList(bNet);
    }

    /**
     * 新增网络
     * 
     * @param bNet 网络
     * @return 结果
     */
    @Override
    public int insertBNet(BNet bNet)
    {
        bNet.setCreateTime(DateUtils.getNowDate());
        return bNetMapper.insertBNet(bNet);
    }

    /**
     * 修改网络
     * 
     * @param bNet 网络
     * @return 结果
     */
    @Override
    public int updateBNet(BNet bNet)
    {
        bNet.setUpdateTime(DateUtils.getNowDate());
        return bNetMapper.updateBNet(bNet);
    }

    /**
     * 批量删除网络
     * 
     * @param ids 需要删除的网络主键
     * @return 结果
     */
    @Override
    public int deleteBNetByIds(Long[] ids)
    {
        return bNetMapper.deleteBNetByIds(ids);
    }

    /**
     * 删除网络信息
     * 
     * @param id 网络主键
     * @return 结果
     */
    @Override
    public int deleteBNetById(Long id)
    {
        return bNetMapper.deleteBNetById(id);
    }
}
