package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BPosterMapper;
import com.ruoyi.system.domain.BPoster;
import com.ruoyi.system.service.IBPosterService;

/**
 * 广告Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class BPosterServiceImpl implements IBPosterService 
{
    @Autowired
    private BPosterMapper bPosterMapper;

    /**
     * 查询广告
     * 
     * @param id 广告主键
     * @return 广告
     */
    @Override
    public BPoster selectBPosterById(Long id)
    {
        return bPosterMapper.selectBPosterById(id);
    }

    /**
     * 查询广告列表
     * 
     * @param bPoster 广告
     * @return 广告
     */
    @Override
    public List<BPoster> selectBPosterList(BPoster bPoster)
    {
        return bPosterMapper.selectBPosterList(bPoster);
    }

    /**
     * 新增广告
     * 
     * @param bPoster 广告
     * @return 结果
     */
    @Override
    public int insertBPoster(BPoster bPoster)
    {
        bPoster.setCreateTime(DateUtils.getNowDate());
        return bPosterMapper.insertBPoster(bPoster);
    }

    /**
     * 修改广告
     * 
     * @param bPoster 广告
     * @return 结果
     */
    @Override
    public int updateBPoster(BPoster bPoster)
    {
        bPoster.setUpdateTime(DateUtils.getNowDate());
        return bPosterMapper.updateBPoster(bPoster);
    }

    /**
     * 批量删除广告
     * 
     * @param ids 需要删除的广告主键
     * @return 结果
     */
    @Override
    public int deleteBPosterByIds(Long[] ids)
    {
        return bPosterMapper.deleteBPosterByIds(ids);
    }

    /**
     * 删除广告信息
     * 
     * @param id 广告主键
     * @return 结果
     */
    @Override
    public int deleteBPosterById(Long id)
    {
        return bPosterMapper.deleteBPosterById(id);
    }
}
