package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.BShanghuMapper;
import com.ruoyi.system.domain.BShanghu;
import com.ruoyi.system.service.IBShanghuService;

/**
 * 商户Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class BShanghuServiceImpl implements IBShanghuService 
{
    @Autowired
    private BShanghuMapper bShanghuMapper;

    /**
     * 查询商户
     * 
     * @param id 商户主键
     * @return 商户
     */
    @Override
    public BShanghu selectBShanghuById(Long id)
    {
        return bShanghuMapper.selectBShanghuById(id);
    }

    /**
     * 查询商户列表
     * 
     * @param bShanghu 商户
     * @return 商户
     */
    @Override
    public List<BShanghu> selectBShanghuList(BShanghu bShanghu)
    {
        return bShanghuMapper.selectBShanghuList(bShanghu);
    }

    /**
     * 新增商户
     * 
     * @param bShanghu 商户
     * @return 结果
     */
    @Override
    public int insertBShanghu(BShanghu bShanghu)
    {
        bShanghu.setCreateTime(DateUtils.getNowDate());
        return bShanghuMapper.insertBShanghu(bShanghu);
    }

    /**
     * 修改商户
     * 
     * @param bShanghu 商户
     * @return 结果
     */
    @Override
    public int updateBShanghu(BShanghu bShanghu)
    {
        bShanghu.setUpdateTime(DateUtils.getNowDate());
        return bShanghuMapper.updateBShanghu(bShanghu);
    }

    /**
     * 批量删除商户
     * 
     * @param ids 需要删除的商户主键
     * @return 结果
     */
    @Override
    public int deleteBShanghuByIds(Long[] ids)
    {
        return bShanghuMapper.deleteBShanghuByIds(ids);
    }

    /**
     * 删除商户信息
     * 
     * @param id 商户主键
     * @return 结果
     */
    @Override
    public int deleteBShanghuById(Long id)
    {
        return bShanghuMapper.deleteBShanghuById(id);
    }
}
